'use strict';

const generate = require('../src/textmate');
const assert = require('assert');
const EXAMPLE = require('../examples/eskip.json');

describe('TextMate generator', () => {
    it('should generate a plist with a proper name', () => {
        const json = generate.json(EXAMPLE);
        assert.deepStrictEqual(json, {
            name: 'eskip',
            scopeName: 'source.eskip',
            fileTypes: ['eskip'],
            uuid: 'f0910912-83d9-45df-bd8d-840e6668325b',
            repository: {
                'string-0': '"(\\"|[^"])*"'
            },
            patterns: [{include: '#string-0'}]
        });
    });
});
